Subject: bug#25632: shogun: Do not upgrade before adjusting the snippet

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 06 Feb 2017 12:05:30 +0100

Shogun contains nonfree software.  While the latest version do build we
cannot just upgrade before changing the snippet to remove the nonfree
parts.

Shogun now comes with a shell script that reliably removes all nonfree
software.  We should make it possible to run shell scripts within
snippets.  This is not possible at the moment, so before the Shogun is
upgraded great care must be taken to ensure that the snippet does in
fact remove all nonfree components.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net